VME Intensity Monitor - Task #11629
Milestone # 11965 (New): April Release - 201604A

Refactor to useAD/Control’s concurrency library
02/04/2016 09:34 AM - John Diamond

Status: New Start date: 02/04/2016
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Hygiene Estimated time: 12.00 hours
Target version: Spent time: 0.00 hour
Description

See: https://cdcvs.fnal.gov/redmine/projects/vxpp/wiki/Message_Queues

Start with message queues, then look into tasks.

History

#1 - 02/05/2016 01:53 PM - John Diamond
- Parent task set to #11649

#2 - 02/14/2016 03:40 PM - John Diamond
- Parent task changed from #11649 to #11650

The Queue<> template does not expose the MSG_Q_ID. To use this with the Timing library we will need to either convince Rich to expose the
MSG_Q_ID or refactor Timing interfaces to allow a const Queue& in place of a MSG_Q_ID.

Moving this ticket to 201603A.

#3 - 03/15/2016 12:20 PM - John Diamond
- Parent task changed from #11650 to #11965
